### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.information.metadata

# Class AuthorizationInfo

java.lang.Object
com.sas.services.information.metadata.AuthorizationInfo

All Implemented Interfaces:
  `AuthorizationInfoInterface`, `Serializable`, `Remote`

@SASScope("ALL") @BinaryCompatibilityOnly public class AuthorizationInfo extends Object implements AuthorizationInfoInterface, Serializable

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AuthorizationInfo()`
  `AuthorizationInfo(AuthorizationIdentityInfoInterface authIdentityInfo, List<PermissionInfoInterface> permissionInfoList)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AuthorizationIdentityInfoInterface`
  `getIdentityInfo()`
  Returns the identity object reference
  `List<PermissionInfoInterface>`
  `getPermissionInfoList()`
  Returns the List of MdPermissioinInfo instances for this MdAuthorizationInfo
  `void`
  `setIdentityInfo(AuthorizationIdentityInfoInterface authIdentityInfo)`
  Sets the identity object reference
  `void`
  `setPermissionInfoList(List<PermissionInfoInterface> permissionInfoList)`
  Sets a List of MdPermissioinInfo instances for this MdAuthorizationInfo
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AuthorizationInfo

    public AuthorizationInfo()

  - ### AuthorizationInfo

    public AuthorizationInfo(AuthorizationIdentityInfoInterface authIdentityInfo, List<PermissionInfoInterface> permissionInfoList)

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getIdentityInfo

    public AuthorizationIdentityInfoInterface getIdentityInfo()
    Description copied from interface: `AuthorizationInfoInterface`
    Returns the identity object reference
    Specified by:
      `getIdentityInfo` in interface `AuthorizationInfoInterface`
    Returns:
      identity

  - ### setIdentityInfo

    public void setIdentityInfo(AuthorizationIdentityInfoInterface authIdentityInfo)
    Description copied from interface: `AuthorizationInfoInterface`
    Sets the identity object reference
    Specified by:
      `setIdentityInfo` in interface `AuthorizationInfoInterface`

  - ### getPermissionInfoList

    public List<PermissionInfoInterface> getPermissionInfoList()
    Description copied from interface: `AuthorizationInfoInterface`
    Returns the List of MdPermissioinInfo instances for this MdAuthorizationInfo
    Specified by:
      `getPermissionInfoList` in interface `AuthorizationInfoInterface`
    Returns:
      List<`PermissionInfoInterface`>

  - ### setPermissionInfoList

    public void setPermissionInfoList(List<PermissionInfoInterface> permissionInfoList)
    Description copied from interface: `AuthorizationInfoInterface`
    Sets a List of MdPermissioinInfo instances for this MdAuthorizationInfo
    Specified by:
      `setPermissionInfoList` in interface `AuthorizationInfoInterface`